/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.html.normalizer.parser.valueobject;

/**
 * HTMLのドキュメント開始イベントをあらわすバリューオブジェクトです。
 */
public class BlancoHtmlEventStartDocument extends BlancoHtmlEvent {
    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * <P>使用上の注意</P>
     * <UL>
     * <LI>オブジェクトのシャロー範囲のみ文字列化の処理対象となります。
     * <LI>オブジェクトが循環参照している場合には、このメソッドは使わないでください。
     * </UL>
     *
     * @return バリューオブジェクトの文字列表現。
     */
    @Override
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.html.normalizer.parser.valueobject.BlancoHtmlEventStartDocument[");
        buf.append("]");
        return buf.toString();
    }
}
